Page MenuHomePhabricator

GUC tool always outputs "searched 1 projects" instead of actual count
Closed, ResolvedPublic

Description

In users that have edits to more than one wiki, the tool still shows "in 1 projects".

Event Timeline

MC8 created this task.Nov 14 2015, 10:29 PM
MC8 raised the priority of this task from to Needs Triage.
MC8 updated the task description. (Show Details)
MC8 added a subscriber: MC8.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 14 2015, 10:29 PM
Krinkle set Security to None.May 16 2016, 1:24 PM
Krinkle added a subscriber: Elitre.
Danny_B renamed this task from Tool no longer shows number of projects with edits to GUC project total count doesn't increment.May 16 2016, 2:59 PM
Danny_B assigned this task to Devirk.
Danny_B triaged this task as Low priority.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 16 2016, 2:59 PM
Krinkle added a subscriber: Krinkle.

"count doesn't increment" inaccurately summarises the problem and makes assumptions about what the underlying bug is.

Krinkle renamed this task from GUC project total count doesn't increment to GUC tool always outputs "searched 1 projects" instead of actual count.May 16 2016, 3:33 PM
Krinkle added a project: Regression.

@Krinkle Thanks for title clarification.

Why did you remove JavaScript actually?

It's generated on the PHP side.

Thanks. I thought the counter increases via JS as one would expect it...

Change 307678 had a related patch set uploaded (by Krinkle):
guc: Fix broken display of projects with non-zero edits

https://gerrit.wikimedia.org/r/307678

Krinkle claimed this task.Aug 31 2016, 2:39 AM
Krinkle removed a project: good first bug.

Change 307678 merged by Krinkle:
guc: Fix broken display of projects with non-zero edits

https://gerrit.wikimedia.org/r/307678

Krinkle closed this task as Resolved.Aug 31 2016, 2:40 AM
Krinkle removed a project: Patch-For-Review.